import { Meta, Story, Canvas, Description } from '@storybook/addon-docs/blocks';
import readme from './readme.md';
import { MediaFigureAlignment } from './media-figure-alignment.enum';

<Meta title="Media/digi-media-figure" />

<!-- Description pulled from auto generated Stencil docs -->

<Description markdown={readme} />

## Standard

This is the standard figure component.

<Canvas>
  <Story name="Standard">
    /* html */
    {`
      <digi-media-figure>
        <digi-media-image
          af-src="https://picsum.photos/id/237/1280/720"
          af-alt="En bild"
          af-width="1280"
          af-height="720"
        ></digi-media-image>
      </digi-media-figure>
    `}
  </Story>
</Canvas>

## With Caption

The figure can also have a figcaption

<Canvas>
  <Story name="With Caption">
    /* html */
    {`
      <digi-media-figure af-figcaption="I am a figcaption">
        <digi-media-image
          af-src="https://picsum.photos/id/237/1280/720"
          af-alt="En bild"
          af-width="1280"
          af-height="720"
        ></digi-media-image>
      </digi-media-figure>
    `}
  </Story>
</Canvas>

## Alignment

The figcaption can be aligned in different ways. Typescript users should import and use `MediaFigureAlignment` to set alignment.

### Start

Align caption to inline start. This is the default behavior.

<Canvas>
  <Story name="Alignment - Start">
    /* html */
    {`
      <digi-media-figure
        af-figcaption="I am a figcaption aligned start"
        af-alignment="${MediaFigureAlignment.START}"
      >
        <digi-media-image
          af-src="https://picsum.photos/id/237/1280/720"
          af-alt="En bild"
          af-width="1280"
          af-height="720"
        ></digi-media-image>
      </digi-media-figure>
    `}
  </Story>
</Canvas>

### Center

Align caption to inline center.

<Canvas>
  <Story name="Alignment - Center">
    /* html */
    {`
      <digi-media-figure
        af-figcaption="I am a figcaption aligned center"
        af-alignment="${MediaFigureAlignment.CENTER}"
      >
        <digi-media-image
          af-src="https://picsum.photos/id/237/1280/720"
          af-alt="En bild"
          af-width="1280"
          af-height="720"
        ></digi-media-image>
      </digi-media-figure>
    `}
  </Story>
</Canvas>

### End

Align caption to inline end.

<Canvas>
  <Story name="Alignment - End">
    /* html */
    {`
      <digi-media-figure
        af-figcaption="I am a figcaption aligned end"
        af-alignment="${MediaFigureAlignment.END}"
      >
        <digi-media-image
          af-src="https://picsum.photos/id/237/1280/720"
          af-alt="En bild"
          af-width="1280"
          af-height="720"
        ></digi-media-image>
      </digi-media-figure>
    `}
  </Story>
</Canvas>
